NonValidatingFactory
Keywords: org.postgresql.ssl.NonValidatingFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.ssl
Class NonValidatingFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.postgresql.ssl.WrappedFactory
                  org.postgresql.ssl.NonValidatingFactory

    public class NonValidatingFactory

extends WrappedFactory

Provide a SSLSocketFactory that allows SSL connections to be made without validating the server's certificate. This is more convenient for some applications, but is less secure as it allows "man in the middle" attacks.

Field Summary

Fields inherited from class org.postgresql.ssl.WrappedFactory
`_factory`

Constructor Summary
`NonValidatingFactory(java.lang.String arg)` We provide a constructor that takes an unused argument solely because the ssl calling code will look for this constructor first and then fall back to the no argument constructor, so we avoid an exception and additional reflection lookups.

Method Summary

Methods inherited from class org.postgresql.ssl.WrappedFactory
`createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

Methods inherited from class javax.net.ssl.SSLSocketFactory
`getDefault`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonValidatingFactory

    public NonValidatingFactory(java.lang.String arg)
                         throws java.security.GeneralSecurityException

  We provide a constructor that takes an unused argument solely because the ssl calling code will look for this constructor first and then fall back to the no argument constructor, so we avoid an exception and additional reflection lookups.

  Throws:
    `java.security.GeneralSecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD